<script>
	import SVG from "@/components/svg.svelte"

	import { theme, isLight } from "@/stores/static"

	const switchTheme = () => {
		const set = $theme === "dark" ? "light" : "dark"
		theme.set(set)
	}
</script>

<template lang="pug">
	.switcher-wrap.is-flex.is-align-items-center
		.theme-switcher.is-flex.is-align-items-center.is-justify-content-space-between( 
			class:light='{$isLight}'
			on:click!='{switchTheme}' )
			.icon.moon.is-flex: SVG( name="moon" )
			.icon.sun.is-flex: SVG( name="sun" )
</template>

<style lang="scss">
	.switcher-wrap {
		padding: 0 1rem;
	}

	.theme-switcher {
		width: 55.38px;
		padding: .94px 1.7px .9px 1.18px;
		border-radius: 25px;
		background: #222222;
		position: relative;
		transition: background .2s ease-in-out;
		cursor: pointer;

		&::after {
			content: "";
			display: block;
			width: 20.31px;
			height: 20.31px;
			margin: auto 0;
			background: $gray-black;
			border-radius: 50%;
			position: absolute;
			top: 0;
			bottom: 0;
			left: calc(100% - 20.31px - 1.85px);
			transition: 
				left .2s ease-in-out,
				background .2s ease-in-out;
		}

		&.light {
			background: #000000;
			&::after {
				background: $white;
				left: 2.82px;
			}
		}
	}

	.icon {
		max-width: 22.15px;
		min-width: 22.15px;
		height: 22.15px;
	}
</style>